commit:     6a9197ac098843c96380ebc5f41531c910c3044c
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 14 10:58:40 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Jun 14 10:58:40 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a9197ac

latex-package.eclass: Use halt on error and nonstopmode for latex invocations 
to get more useful log.

 eclass/latex-package.eclass | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/eclass/latex-package.eclass b/eclass/latex-package.eclass
index 95d98e67370..f42b6fdd25d 100644
--- a/eclass/latex-package.eclass
+++ b/eclass/latex-package.eclass
@@ -139,8 +139,8 @@ latex-package_src_doinstall() {
                                        do
                                                [ -n "${LATEX_PACKAGE_SKIP}" ] 
&& has ${i##*/} ${LATEX_PACKAGE_SKIP} && continue
                                                einfo "Making documentation: $i"
-                                               if pdflatex 
${LATEX_DOC_ARGUMENTS} --interaction=batchmode $i ; then
-                                                       pdflatex 
${LATEX_DOC_ARGUMENTS} --interaction=batchmode $i || die
+                                               if pdflatex 
${LATEX_DOC_ARGUMENTS} --halt-on-error --interaction=nonstopmode $i ; then
+                                                       pdflatex 
${LATEX_DOC_ARGUMENTS} --halt-on-error --interaction=nonstopmode $i || die
                                                else
                                                        einfo "pdflatex failed, 
trying texi2dvi"
                                                        texi2dvi -q -c 
--language=latex $i || die
@@ -205,7 +205,7 @@ latex-package_src_compile() {
        for i in `find \`pwd\` -maxdepth 1 -type f -name "*.ins"`
        do
                einfo "Extracting from $i"
-               latex --interaction=batchmode $i || die
+               latex --halt-on-error --interaction=nonstopmode $i || die
        done
 }
 

Reply via email to